Bug 487629 - @group does not work when same named user exists
@group does not work when same named user exists
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 01:32 EST by Alexander Lukyanov
Modified: 2009-12-18 03:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:04:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Lukyanov 2009-02-27 01:32:01 EST
Description of problem:
When a group and a user have the same name, then @group or +group syntax in "valid users" does not work. The reason for that seems to be that samba searches for any object with the name and finds the user first. Similar problem happens when the group name is equal to workgroup name.

Version-Release number of selected component (if applicable):
samba-3.2.8-0.26.fc10.i386


How reproducible:
always


Steps to Reproduce:
1. groupadd noc; useradd noc
2. add a user to the group noc
3. add "valid users = @noc" to a share
4. try to connect to the share authenticated as the user.
  
Actual results:
Domain=[NETIS] OS=[Unix] Server=[Samba 3.2.8-0.26.fc10]
Server not using user level security and no password supplied.
tree connect failed: NT_STATUS_WRONG_PASSWORD

Expected results:
Domain=[NETIS] OS=[Unix] Server=[Samba 3.2.8-0.26.fc10]
Server not using user level security and no password supplied.
smb: \> 

Additional info:
Comment 1 Simo Sorce 2009-02-27 12:33:45 EST
You shouldn't use group names that are identical to user names, windows doesn't like it anyway.

That said can you try changing @noc with @"Unix Group\noc" and see if that solves your problem ?
Comment 2 Alexander Lukyanov 2009-03-04 03:22:35 EST
This syntax with "Unix Group" works as expected. I think it should be documented somewhere.

As to using groups identical to users, it is a unix tradition.
Comment 3 Simo Sorce 2009-03-04 08:25:48 EST
(In reply to comment #2)
> This syntax with "Unix Group" works as expected. I think it should be
> documented somewhere.

It was documented in a changelog many releases ago :)
Comment 4 Simo Sorce 2009-03-04 08:27:39 EST
(In reply to comment #2)
> As to using groups identical to users, it is a unix tradition.

Btw, by the same token User Private Groups, should never have any other member but the same name user, so in theory you should never need to set a UPG in valid users :)
Comment 5 Bug Zapper 2009-11-18 06:14:46 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 03:04:13 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.